<?php

/**
 * Related Post Options
 *
 * @package bike_workshop
 */

$wp_customize->add_section(
	'bike_workshop_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'bike-workshop' ),
		'panel' => 'bike_workshop_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'bike_workshop_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'bike-workshop' ),
	'section' => 'bike_workshop_related_post_options',
	'settings' => 'bike_workshop_related_post_separator',
) ) );

// Post Options - Show / Hide Related Posts.
$wp_customize->add_setting(
	'bike_workshop_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'bike-workshop' ),
			'section' => 'bike_workshop_related_post_options',
		)
	)
);

// Register setting for number of related posts
$wp_customize->add_setting(
	'bike_workshop_related_posts_count',
	array(
		'default'           => 3,
		'sanitize_callback' => 'absint',
	)
);

// Add control for number of related posts
$wp_customize->add_control(
	'bike_workshop_related_posts_count',
	array(
		'type'        => 'number',
		'label'       => esc_html__( 'Number of Related Posts to Display', 'bike-workshop' ),
		'section'     => 'bike_workshop_related_post_options',
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		),
	)
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'bike_workshop_post_related_post_label',
	array(
		'default'           => 'Related Posts',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'bike_workshop_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Label', 'bike-workshop' ),
		'section'  => 'bike_workshop_related_post_options',
		'settings' => 'bike_workshop_post_related_post_label',
		'type'     => 'text',
	)
);